#include <stdio.h>
#include <rpc/rpc.h>
#include "xdrs.h"


extern XDR_element xdrfile[MAX_NUM_XDR_FILES];

#ifdef cray
     XDR_FINT (int *ixdrid, int *i)
#else
void xdr_fint_(int *ixdrid, int *i)
#endif
{
    XDR 	*xdrs;
    
    xdrs = xdrfile[*ixdrid].xdrs;

    if (!xdr_int(xdrs, i)) {
	fprintf (stderr, "XDR int error, file %s\n",
		xdrfile[*ixdrid].filename);
	exit (-1);
    }
}
